# kol-card

<!-- Auto Generated Below -->


## Properties

| Property              | Attribute     | Description                                                                                                        | Type                                                            | Default     |
| --------------------- | ------------- | ------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------- | ----------- |
| `_hasCloser`          | `_has-closer` | Defines whether the element can be closed.                                                                         | `boolean` \| `undefined`                                          | `false`     |
| `_label` _(required)_ | `_label`      | Defines the visible or semantic label of the component (e.g. aria-label, label, headline, caption, summary, etc.). | `string`                                                        | `undefined` |
| `_level`              | `_level`      | Defines which H-level from 1-6 the heading has. 0 specifies no heading and is shown as bold text.                  | `0` \| `1` \| `2` \| `3` \| `4` \| `5` \| `6` \| `undefined`                  | `1`         |
| `_on`                 | --            | Defines the event callback functions for the component.                                                            | `undefined` \| `{ onClose?: EventCallback<Event>` \| `undefined; }` | `undefined` |


## Slots

| Slot | Description                                                               |
| ---- | ------------------------------------------------------------------------- |
|      | Ermöglicht das Einfügen beliebigen HTML's in den Inhaltsbereich der Card. |


----------------------------------------------


